<div class="intro section">
    <figure>
        <div style="display:none;" class="loading-container"><div class="big loading-indicator"><img alt="Loading..." src="/img/loading.gif"></div></div>
        <div class="img-wrap">

            <? if($this->userCanEditBrand) { ?>
                <form onsubmit="$('.loading-container').show();" enctype="multipart/form-data" method="post" action="<?= $brandBannerChangeURL; ?>" style="display: none;">
                    <!--<form onsubmit="window.loadingIndicator($('.intro'));" enctype="multipart/form-data" method="post" action="<?= $brandBannerChangeURL; ?>" style="display: none;">-->
                    <input id="bannerImageFileInput" onchange="$(this).parent().submit()" type="file" name="bannerImage" accept="image/*" />
                </form>
                <? } ?>

            <? if(!$this->thisBrand->hasBanner) { ?>

                <div class="placeholder"
                    <? if($this->userCanEditBrand) { ?> onclick="$('#bannerImageFileInput').click()"<? } ?>
                    >
                    <span>
                        <? if($this->userCanEditBrand) { ?>
                            <span class="addBrandBanner">
                                <i aria-hidden="true" class="fa fa-picture-o fa-2x step1"></i>
                                <i aria-hidden="true" class="fa fa-plus-circle step2"></i>
                            </span>
                            <p>Add your brand banner</p>
                            <? }else{ ?>
                            <span>This brand hasn't got a banner image yet</span>
                            <? } ?>
                    </span>
                </div>

                <? }else{ // has bannerd
                    // @var Image $bannerImage 
                    $bannerImage = $this->imageLinker()->getImageObject("brand-banner-".$this->thisBrand->id);

                ?>
                <img onclick="$('#bannerImageFileInput').click()" src="<?= $bannerImage->getURL() . '?' . $bannerImage->dateCreated ?>" onload="if(typeof adjuctBannerImage !== 'undefined') (function(){adjuctBannerImage()})(); else window.onload=function(){adjuctBannerImage(this);}" alt="<?= $this->thisBrand->name ?>" title="Change banner" />
                <?
            } ?>
        </div>
        <figcaption>
            <ul class="list-inline list-unstyled brand-stats pull-left">
                <li>
                    <a href="#" class="v-cent">
                        <h6 class="text-uppercase">Stories</h6>
                        <span class="num-value">8</span>
                    </a>
                </li>
                <li>
                    <a href="#" class="v-cent">
                        <h6 class="text-uppercase">Loving Us</h6>
                        <span class="num-value"><?= $this->thisBrand->loveCount; ?></span>
                    </a>
                </li>
                <li>
                    <a href="#" class="v-cent">
                        <h6 class="text-uppercase">Connected</h6>
                        <span class="num-value">86</span>
                    </a>
                </li>
                <li>
                    <a href="#" class="v-cent">
                        <h6 class="text-uppercase">Loved Stories</h6>
                        <span class="num-value">8600</span>
                    </a>
                </li>
            </ul>
            <div class="btn-wrap pull-right">
                <a href="#" id="loveUsButton" class="btn btn-info btn-icon pull-right" onclick="loveUsClicked(this); return false;"><i class="icon-hearth"></i><span class="text">Love Us</span></a>
                <div class="dropdown pull-right">
                    <a href="#" class="dropdown-toggle btn btn-border btn-icon btn-info" data-toggle="dropdown" role="button" aria-expanded="false">
                        <i class="icon-heart-plus"></i>
                        Connect
                        <span class="icon-arrow-d"></span>
                    </a>
                    <ul class="dropdown-menu click-noclose">
                        <li>
                            <span class="head">Would you like to be connected with?</span>
                            <p class="checkbox">
                                <input id="check1" type="checkbox">
                                <label for="check1">Connect to Story</label>
                            </p>
                        </li>
                        <li>
                            <p class="checkbox">
                                <input id="check2" type="checkbox">
                                <label for="check2">Connect to Product</label>
                            </p>
                        </li>
                        <li>
                            <p class="checkbox">
                                <input id="check3" type="checkbox">
                                <label for="check3">Connect to Everything</label>
                            </p>
                        </li>
                    </ul>
                </div>
            </div>
        </figcaption>
    </figure>
</div>